Package org.apache.tiles.request.servlet

# Class ExternalWriterHttpServletResponse

java.lang.Object
jakarta.servlet.ServletResponseWrapper
jakarta.servlet.http.HttpServletResponseWrapper
org.apache.tiles.request.servlet.ExternalWriterHttpServletResponse

All Implemented Interfaces:
  `jakarta.servlet.http.HttpServletResponse`, `jakarta.servlet.ServletResponse`

public class ExternalWriterHttpServletResponse extends jakarta.servlet.http.HttpServletResponseWrapper
Wraps an HTTP response and overrides its print writer.

Version:
  $Rev: 1306435 $ $Date: 2012-03-29 02:39:11 +1100 (Thu, 29 Mar 2012) $

- ## Field Summary

  ### Fields inherited from interface jakarta.servlet.http.HttpServletResponse

  `SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalWriterHttpServletResponse(jakarta.servlet.http.HttpServletResponse response, PrintWriter writer)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PrintWriter`
  `getWriter()`

  ### Methods inherited from class jakarta.servlet.http.HttpServletResponseWrapper

  `addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectURL, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setTrailerFields`

  ### Methods inherited from class jakarta.servlet.ServletResponseWrapper

  `flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale, setResponse`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface jakarta.servlet.ServletResponse

  `flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale`

- ## Constructor Details

  - ### ExternalWriterHttpServletResponse

    public ExternalWriterHttpServletResponse(jakarta.servlet.http.HttpServletResponse response, PrintWriter writer)
    Constructor.
    Parameters:
      `response` - The response to wrap.
      `writer` - The print writer to use, instead of the response's one.

- ## Method Details

  - ### getWriter

    public PrintWriter getWriter()
    Specified by:
      `getWriter` in interface `jakarta.servlet.ServletResponse`
    Overrides:
      `getWriter` in class `jakarta.servlet.ServletResponseWrapper`